Scala Reflection Library2.13.0 < Back


# Packages

-  package root
  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package reflect
  Definition Classes
    scala
-  package api

  EXPERIMENTAL

  EXPERIMENTAL

  The Scala Reflection API (located in scala-reflect.jar).

  In Scala 2.10.0, the Scala Reflection API and its implementation have an "experimental" status. This means that the API and the docs are not complete and can be changed in binary- and source-incompatible manner in 2.10.1. This also means that the implementation has some known issues.

  The following types are the backbone of the Scala Reflection API, and serve as a good starting point for information about Scala Reflection:

  - scala.reflect.api.Symbols
  - scala.reflect.api.Types
  - scala.reflect.api.Mirrors
  - scala.reflect.api.Universe

  For more information about Scala Reflection, see the Reflection Guide

  Definition Classes
    reflect
-  trait Names extends AnyRef

  EXPERIMENTAL

  EXPERIMENTAL

  This trait defines `Name`s in Scala Reflection, and operations on them.

  Names are simple wrappers for strings. Name has two subtypes TermName and TypeName which distinguish names of terms (like objects or members) and types. A term and a type of the same name can co-exist in an object.

  To search for the `map` method (which is a term) declared in the `List` class, one can do:

      scala> typeOf[List[_]].member(TermName("map"))
      res0: reflect.runtime.universe.Symbol = method map

  To search for a type member, one can follow the same procedure, using `TypeName` instead.

  For more information about creating and using `Name`s, see the Reflection Guide: Annotations, Names, Scopes, and More

  Definition Classes
    api
- Name
- NameApi
- TermName
- TermNameApi
- TermNameExtractor
- TypeName
- TypeNameApi
- TypeNameExtractor

c

scala.reflect.api.Names

# TermNameExtractor

###

#### abstract class TermNameExtractor extends AnyRef

An extractor class to create and pattern match with syntax `TermName(s)`.

Source
  Names.scala

Linear Supertypes
AnyRef, Any
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. TermNameExtractor
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new TermNameExtractor()

### Abstract Value Members

1.  abstract def apply(s: String): TermName
2.  abstract def unapply(name: TermName): Option[String]

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from TermNameExtractor toany2stringadd[TermNameExtractor] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (TermNameExtractor, B)
   Implicit
     This member is added by an implicit conversion from TermNameExtractor toArrowAssoc[TermNameExtractor] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
8.  def ensuring(cond: (TermNameExtractor) => Boolean, msg: => Any): TermNameExtractor
   Implicit
     This member is added by an implicit conversion from TermNameExtractor toEnsuring[TermNameExtractor] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
9.  def ensuring(cond: (TermNameExtractor) => Boolean): TermNameExtractor
   Implicit
     This member is added by an implicit conversion from TermNameExtractor toEnsuring[TermNameExtractor] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: Boolean, msg: => Any): TermNameExtractor
    Implicit
      This member is added by an implicit conversion from TermNameExtractor toEnsuring[TermNameExtractor] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean): TermNameExtractor
    Implicit
      This member is added by an implicit conversion from TermNameExtractor toEnsuring[TermNameExtractor] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
14.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
15.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from TermNameExtractor toStringFormat[TermNameExtractor] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
16.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
17.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
18.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
19.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
20.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
21.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
22.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
23.  def toString(): String
    Definition Classes
      AnyRef → Any
24.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
25.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
26.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Deprecated Value Members

1.  def →[B](y: B): (TermNameExtractor, B)
   Implicit
     This member is added by an implicit conversion from TermNameExtractor toArrowAssoc[TermNameExtractor] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromTermNameExtractor to any2stringadd[TermNameExtractor]

### Inherited by implicit conversion StringFormat fromTermNameExtractor to StringFormat[TermNameExtractor]

### Inherited by implicit conversion Ensuring fromTermNameExtractor to Ensuring[TermNameExtractor]

### Inherited by implicit conversion ArrowAssoc fromTermNameExtractor to ArrowAssoc[TermNameExtractor]

### Ungrouped